﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    public class Cat extends FlxSprite
    {
        [Embed(source='../../data/Cat.png')] private var ImgCat:Class;
        private var _p:Player;
        private var _move_speed:int = 400;
        private var _jump_power:int = 800;   
        private var _max_health:int = 10;
        private var _hurt_counter:Number = 0;
        private var _can_jump:Boolean = true;
        private var _last_jump:Number = 0;
        public function Cat(X:Number,Y:Number,ThePlayer:Player):void
        {
            super(ImgCat, X, Y, true, true);//Max speeds
            _p = ThePlayer;
            maxVelocity.x = 200;
            maxVelocity.y = 200;
            health = 1;
            acceleration.y = 0;
            drag.x = 300;
            width = 14;
            height = 14;
            offset.x = 0;
            offset.y = 0;
            addAnimation("normal", [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0],5);
            addAnimation("happy", [2]);
			play("normal");
        }
    
        override public function update():void
        {
            if(dead)
            {
                if(finished) exists = false;
                else
                    super.update();
                return;
            }
            			
            super.update();
        }

        override public function hitFloor():Boolean
        {
            _can_jump = true;
            return super.hitFloor();
        }
        
        override public function hurt(Damage:Number):void
        {
            _hurt_counter = 1;
            return super.hurt(Damage);
        }       
    }
}